Subject: Re: bug#51588: [PATCH 0/14] gnu: aws-sdk-cpp: Update to 1.9.136.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 16 Nov 2021 16:54:11 +0100

Hi,

Greg Hogan <[email-masked]> skribis:

> This patchset updates aws-sdk-cpp and dependencies to the latest version.
> This fixes some issues in the current patchset and will be much more
> resilient to future upstream updates.
>
> Patches have mostly been removed, with comments added to the remaining
> patches.
>
> The patches for failing tests have been replaced with the
> '-DENABLE_NET_TESTS=OFF' configuration argument (oops! that was an
> oversight).
>
> The CMAKE_PREFIX_PATH patches have been replaced by a limited but
> sufficient setting of the configuration argument using '(assoc-ref
> %build-inputs "aws-c-common")'. I was not able to find a better way to pass
> Guix's computed CMAKE_PREFIX_PATH environment variable as a package
> configuration argument.

Great that you were able to remove patches.

Applied, thanks!

Ludo’.